#include <opencv2/opencv.hpp>

int main_player()
{

    cv::VideoCapture video("../record.avi"); 
    double fps = video.get(cv::CAP_PROP_FPS);
    int period = int(1000/fps);
    printf("%lf fps, 1x%d ms\n", fps, period);
    cv::Mat frame;
    
    for (;;) {
        video >> frame;
        if (frame.empty()) break;

        cv::imshow("video",frame);
        int key = cv::waitKey(period);
        if (key == 27) break;
    }
    
    video.release();
    cv::destroyAllWindows();
    return 0;
}


