import numpy as np
import cv2

video = cv2.VideoCapture('../record.avi')
fps = video.get(cv2.CAP_PROP_FPS)
period = int(1000/fps)
print(fps,'fps','1x',period,'ms')

while True:
    hasFrame, frame = video.read()
    if not hasFrame:
        break
    cv2.imshow('video',frame)
    key = cv2.waitKey(period)
    if key == 27:
        break

cv2.destroyAllWindows()
