#include <opencv2/opencv.hpp>

int main_camera()
{

    cv::VideoCapture camera(0,cv::CAP_DSHOW); //1
    //cv::VideoCapture camera("http://208.72.70.171/mjpg/video.mjpg");
    cv::Mat frame;

    for (;;) {
        camera >> frame;
        if (frame.empty()) break;

        cv::imshow("camera",frame);
        int key = cv::waitKey(10);
        if (key == 27) break;
        else if (key == 's') {
            std::string name = std::to_string(time(NULL));
            cv::imwrite(name+".png",frame);
        }
    }
    
    camera.release();
    cv::destroyAllWindows();
    return 0;
}
