import numpy as np
import cv2

camera = cv2.VideoCapture(0,cv2.CAP_DSHOW)
fps=10
camera.set(cv2.CAP_PROP_FPS,fps)    
print(fps,'fps')
hasFrame, frame = camera.read()

out = cv2.VideoWriter()
out.open('../record.avi',cv2.VideoWriter_fourcc('M','J','P','G'),fps,(frame.shape[1],frame.shape[0]))

while True:
    cv2.imshow('camera',frame)
    key = cv2.waitKey(10)
    if key == 27:
        break

    out.write(frame)

    hasFrame, frame = camera.read()
    if not hasFrame:
        break
        
out.release()
camera.release()
cv2.destroyAllWindows()
